package com.gic.enterprise.base;

import java.io.Serializable;
/**
 * 用户域多组配置
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/11 5:05 PM 
 */
public class ResourceGroupCustomUserInfo implements Serializable{
    private static final long serialVersionUID = -6022309920151839631L;

    /**
     * 1：会员卡域 2：服务号域 3：小程序域
     */
    private Integer type;

    /**
     * 显示顺序(用于前端)
     */
    private Integer sort;

    /**
     * 域ID，多选，英文逗号隔开
     */
    private String areaValue;

    /**
     * 人群筛选器ID
     */
    private Long cuSelectId;

    public Integer getType() {
        return type;
    }

    public ResourceGroupCustomUserInfo setType(Integer type) {
        this.type = type;
        return this;
    }

    public Integer getSort() {
        return sort;
    }

    public ResourceGroupCustomUserInfo setSort(Integer sort) {
        this.sort = sort;
        return this;
    }

    public String getAreaValue() {
        return areaValue;
    }

    public ResourceGroupCustomUserInfo setAreaValue(String areaValue) {
        this.areaValue = areaValue;
        return this;
    }

    public Long getCuSelectId() {
        return cuSelectId;
    }

    public ResourceGroupCustomUserInfo setCuSelectId(Long cuSelectId) {
        this.cuSelectId = cuSelectId;
        return this;
    }

    @Override
    public String toString() {
        return "ResourceGroupCustomUserInfo{" +
                "type=" + type +
                ", sort=" + sort +
                ", areaValue='" + areaValue + '\'' +
                ", cuSelectId=" + cuSelectId +
                '}';
    }
}
